Compose Finance
Customers

Get customer

Returns details for a specific customer including KYC status. Requires Bearer token authentication.

GET
/api/v2/customers/{customerId}

Returns details for a specific customer including KYC status. Requires Bearer token authentication.

Authorization

bearerAuth
AuthorizationBearer <token>

Organization API key obtained from PropelAuth

In: header

Path Parameters

customerId*string

Unique identifier of the customer

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET 'https://compose.finance/api/v2/customers/{customerId}' \  -H 'Authorization: Bearer YOUR_API_KEY'
{
  "customerId": "550e8400-e29b-41d4-a716-446655440001",
  "email": "[email protected]",
  "name": "JOHN DOE",
  "accountType": "individual",
  "expectedMonthlyVolume": 25000,
  "address": {
    "addressLine1": "Friedrichstrasse 123",
    "city": "Berlin",
    "country": "DE"
  },
  "kyc": {
    "kycVerified": false,
    "stepsStatus": "incomplete",
    "attempts": 1,
    "levelName": "customers-api-basic",
    "steps": {
      "identity": {
        "status": "uploaded",
        "documentType": "PASSPORT",
        "documentsCount": 1
      },
      "proofOfAddress": {
        "status": "not_started",
        "documentType": null,
        "documentsCount": 0
      },
      "questionnaire": {
        "status": "uploaded"
      }
    }
  }
}
{
  "error": "Unauthorized - Invalid or missing API key or session"
}
{
  "error": "Customers feature is not enabled for your organization"
}
{
  "error": "Customer not found"
}
{
  "error": "Internal server error"
}